/*
Autor:		Rafael Alberto Moreno Parra
URL:		http://www.geocities.com/krousky
Clase:		Inicializa.
Lenguaje:	C++

Propsito:
Inicializa las variables para la simulacin

Mtodos:

*/
class Inicializa {
public:

	struct stDatosSimul
	{
   		//Probabilidades, estos datos se leen de un archivo de inicializacin
		unsigned int iNumInstMin; //Numero de instrucciones(tripletes) mnimo generado
		unsigned int iNumInstMax; //Numero de instrucciones(tripletes) mximo generado
		unsigned int iTotalFun; //Total Funciones
		unsigned int iProbabIF; //Probabilidad de IF
		unsigned int iProbabFN; //Probabilidad de IF
		unsigned int iTotalVar; //Total Variables
		unsigned int iProbaVar; //Probabilidad de usar variables en la expresin derecha
		unsigned int iNumCiclos; //Maximos Ciclos de Evaluacin
		unsigned int iTotalAzar; //Total Algoritmos geneticos al azar
		unsigned int iTotalMutar; //Total Mutaciones al mejor algoritmo
		char sEntrada[200];
		char sSalidas[200];
		char sArchResult[50]; //Archivo donde se guarda el resultado
	};  

	struct stDatosSimul stDatVA; //Datos Vida Artificial
	void vPantallaIni(void);
    int vLeeArchivoIni(void);
	void vArchResult(void);
	void vGrabaLinea(char *sMensaje);
	void vGrabaAlgoritmos(unsigned int iIntento, float fMargenError, char *sMensaje);
	void vFinalSimulacion(void);
};
